Subject: Re: bug#24435: 25.1; Problem using Hunspell

From: Dmitri Paduchikh <[email-masked]>
Date: Thu, 15 Sep 2016 01:10:29 +0500

Hello,

Eli Zaretskii <[email-masked]> wrote:

>> Now when I try to check some word, after waiting for
>> several seconds I get this message:
>> 
>> | Starting new Ispell process hunspell with ru_RU dictionary...
>> | Hunspell 1.4.0 (ispell-init-process)
>> 
>> Subsequent attempts give such result:
>> 
>> | Checking spelling of ВПЕРЁД...
>> | Error checking word ВПЕРЁД using hunspell with ru_RU dictionary
>> 
>> The word seems to pass spellcheck using CLI interface.
>> 
>> $ echo вперёд | hunspell -a -d ru_RU
>> Hunspell 1.4.0
>> *

> You used a lower-case variant of the word in the CLI test, so the
> results could be different.  What happens when you pass exactly ВПЕРЁД
> in the CLI case?

No, I check lower-case word in Emacs as well. I thought that probably it
is because ispell.el converts the word to uppercase. Anyway, CLI test
with uppercase word gives the same result.

> Also, can you look (in 'ps' or some similar system utility) what is
> the exact command line that Emacs invokes Hunspell in your case?

It was

$ pgrep -a hunspell
5897 /usr/bin/hunspell  -d ru_RU -i UTF-8

After this I have added "-a" to ispell-extra-args and now it seems to be
working. Well, with all preceding arrangements. Thank you for hints.

Best regards
Dmitri Paduchikh